libcanberra-dev_0.30-2.1_amd64.deb


Advertisement

Description

libcanberra-dev - simple abstract interface for playing event sounds

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libcanberra-dev
Package version: 0.30
Package release: 2.1
Package architecture: amd64
Package type: deb
Installed size: 79 B
Download size: 13.77 KB
Official Mirror: ftp.br.debian.org
libcanberra defines a simple abstract interface for playing event sounds. This package contains headers and libraries for developing applications that play event sounds with libcanberra.

Alternatives

    Download

    Source package: libcanberra

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libcanberra-dev deb package:
      # sudo apt-get install libcanberra-dev

    Files

    • /usr/include/canberra.h
    • /usr/lib/x86_64-linux-gnu/libcanberra.so
    • /usr/lib/x86_64-linux-gnu/pkgconfig/libcanberra.pc
    • /usr/share/doc/libcanberra-dev/README.gz
    • /usr/share/doc/libcanberra-dev/changelog.Debian.gz
    • /usr/share/doc/libcanberra-dev/copyright
    • /usr/share/vala/vapi/libcanberra.vapi

    Changelog

    2014-08-31 - Samuel Thibault <sthibault@debian.org> libcanberra (0.30-2.1) unstable; urgency=medium [ Samuel Thibault ] * Non-maintainer upload. [ Jelmer Vernooij ] * Remove build-dependency on libtdb-dev on the Hurd, as tdb depends on byte range locking which is not available on the Hurd. Closes: #190367.

    2013-05-30 - Laurent Bigonville <bigon@debian.org> libcanberra (0.30-2) unstable; urgency=low * debian/rules: Properly exclude dh_makeshlibs from generating shlibs files for 0.30 canberra modules * debian/control.in: - Bump Standards-Version to 3.9.4 (no further changes) - Use canonical VCS URL

    2013-03-24 - Sjoerd Simons <sjoerd@debian.org> libcanberra (0.30-1) experimental; urgency=low * New upstream release * Gconf usage is dropped (remove b-d and schema install) * Ported to gstreamer 1.0

    2012-11-26 - Josselin Mouette <joss@debian.org> libcanberra (0.28-6) unstable; urgency=low * libcanberra-gtk-common-dev breaks/replaces libcanberra-gtk-dev << 0.26. Closes: #694283.

    2012-09-23 - Laurent Bigonville <bigon@debian.org> libcanberra (0.28-5) unstable; urgency=low * debian/watch: Switch to .xz tarballs * Move canberra-gtk-play manpage from libcanberra-gtk0 to gnome-session-canberra to follow the executable (Closes: #684676) * Fix libcanberra-gstreamer-dbg long description (Closes: #675693) * debian/rules: Drop update-patch-series target, this was when the package was maintained in git. * Call dh_autoreconf during build to update m4/libtool.m4 and prevent hurd-i386 to be built with rpath (Closes: #677343) * debian/patches/undefined_reference.diff: Also link the GTK2 flavour against libX11 and the modules against libgmodule-2.0

    2012-04-03 - Laurent Bigonville <bigon@debian.org> libcanberra (0.28-4) unstable; urgency=low * Build for multiarch. Thanks to Steve Langasek (Closes: #653678) * libcanberra-gtk-module and libcanberra-gtk3-module need hard-coded versioned dependencies on the minimum versions of gtk2/gtk3 that support lookups in the multiarch path. * Move canberra-gtk-play from libcanberra-gtk0 to gnome-session-canberra, since the latter is the only package which uses it; and make gnome-session-canberra Architecture: any. * Put under the GNOME team maintenance with Marc-Andre approval * debian/control.in: Bump Standards-Version to 3.9.3 (no further changes)

    2011-10-18 - Laurent Bigonville <bigon@debian.org> libcanberra (0.28-3) unstable; urgency=low * Team Upload * Rely on gnome-settings-daemon to load GTK module instead of Xsession. (Closes: #622992, #573757) * debian/control: - Add Add Homepage field - Bump Standards-Version to 3.9.2 (no further changes) - Correctly capitalized GTK+ (Closes: #612018) - Add libgconf2-dev to build-dependencies - Move gnome-session-canberra to Section: gnome * debian/rules: - Includes gnome.mk instead of autotools.mk to be sure dh_gconf is called

    2011-10-09 - Bart Martens <bartm@debian.org> libcanberra (0.28-2) unstable; urgency=low * Build-Depends: libtdb-dev. Fixed FTBFS. Closes: #637977. * debian/patches/undefined_reference.diff: Fixed FTBFS. Closes: #555081. * Added manpage debian/canberra-gtk-play.1. Closes: #591353. * debian/control: Now use [linux-any]. Closes: #634663. * Fixed description-synopsis-starts-with-article.

    2011-06-06 - Sjoerd Simons <sjoerd@debian.org> libcanberra (0.28-1) unstable; urgency=low * New upstream release * d/p/0001-Don-t-use-gtk_quit_add-it-has-been-removed-from-gtk3.patch + Removed. merged upstream * debian/libcanberra0.lintian-overrides Add override for a false-positive of libcanberra embedding ltdl. It only embeds the error strings for some of its own utility functions, not the library itself

    2011-02-19 - Sjoerd Simons <sjoerd@debian.org> libcanberra (0.26-3) experimental; urgency=low [ Emilio Pozuelo Monfort ] * Update for the new gtk+ 3 package names.

    Advertisement
    Advertisement